Subject: Re: [PATCH net-next v3] selftest: epoll_busy_poll: epoll busy poll tests

From: Jakub Kicinski <[email-masked]>
Date: Wed, 8 May 2024 08:25:33 -0700

On Tue, 7 May 2024 19:21:50 -0700 Joe Damato wrote:
> On Wed, May 08, 2024 at 12:43:26AM +0000, Joe Damato wrote:
> > Add a simple test for the epoll busy poll ioctls, using the kernel
> > selftest harness.
> > 
> > This test ensures that the ioctls have the expected return codes and
> > that the kernel properly gets and sets epoll busy poll parameters.
> > 
> > The test can be expanded in the future to do real busy polling (provided
> > another machine to act as the client is available).  
> 
> Ah, built and worked for me, but of course fails remotely:
> 
> epoll_busy_poll.c:20:10: fatal error: sys/capability.h: No such file or directory
>    20 | #include <sys/capability.h>
>       |          ^~~~~~~~~~~~~~~~~~
> 
> Looks like selftests/bpf/cap_helpers.c avoids a similar-ish issue? Not sure if
> there's a better way or if I should do something like that?
> 
> I assume it is not possible to add deps like libcap-dev to the test harness somehow?

Ah sorry, CI builder was missing the libcap-devel package.
I can't retrigger the CI easily, unfortunately, could you repost?
(without the 24h wait)